import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import * as i0 from "@angular/core";
export declare class StiFileRibbonComponent implements OnInit {
    private model;
    loc: StiLocalizationService;
    constructor(model: StiModelService, loc: StiLocalizationService);
    saveAs(): void;
    open(): void;
    importFromPdf(): void;
    showAboutWindow(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiFileRibbonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiFileRibbonComponent, "sti-file-ribbon-component", never, {}, {}, never, never, false, never>;
}
